// COLORS
$dark: #1c1c1c;

$gray-900:#151619;
$gray-800:#2A2D32;
$gray-700:#41454E;
$gray-600:#565C67;
$gray-500:#6B7280;
$gray-400:#888E9B;
$gray-300:#A6ABB5;
$gray-200:#C2C5CC;
$gray-100:#E0E2E5;
$gray-50:#F1F2F3;

$white: #fff;

$teal-500: #3c8c8b;

$blue-500: #0272aa;
$blue-400: #00a2ff;

// FONTS

$typography: (
    xs: (
        font-size: 0.75rem,
        line-height: 1rem
    ),
    sm: (
        font-size: 0.875rem,
        line-height: 1.25rem
    ),
    base: (
        font-size: 1rem,
        line-height: 1.6rem
    ),
    lg: (
        font-size: 1.125rem,
        line-height: 1.75rem
    ),
    xl: (
        font-size: 1.25rem,
        line-height: 1.75rem
    ),
    '2xl': (
        font-size: 1.5rem,
        line-height: 2rem
    ),
    '3xl': (
        font-size: 1.875rem,
        line-height: 2.25rem
    ),
    '4xl': (
        font-size: 2.25rem,
        line-height: 2.5rem
    ),
    '5xl': (
        font-size: 3rem,
        line-height: 1
    )
);

@mixin typography($size) {
    font-size: map-get(map-get($typography, $size), font-size);
    line-height: map-get(map-get($typography, $size), line-height);
}

// SPACING

$m-heads: 2.5rem 0 0.8rem 0;

$spacing: (
  0: 0rem,
  1: 0.25rem,
  2: 0.5rem,
  3: 0.75rem,
  4: 1rem,
  5: 1.25rem,
  6: 1.5rem,
  7: 1.75rem,
  8: 2rem,
  9: 2.25rem,
  10: 2.5rem,
  11: 2.75rem,
  12: 3rem,
  13: 3.25rem,
  14: 3.5rem,
  15: 3.75rem,
  16: 4rem,
  17: 4.25rem,
  18: 4.5rem,
  19: 4.75rem,
  20: 5rem
);

// Always forget howto:
// margin: map-get($spacing, 4); // 1rem
// padding: map-get($spacing, 10); // 2.5rem
